#pragma once

using namespace System;

namespace SmartMathLibrary
{
	namespace InternalRoutines
	{
	public ref class StatisticalRandomRoutines
	{
	private:
		Random ^randomEngine;
		double fsign( double num, double sign );

	public:
		StatisticalRandomRoutines(int seed);
		 double sexpo(void);
		 double snorm(void);
		 double sgamma(double a);
		 double gengam(double a,double r);
		 double genexp(double av);
		 double genchi(double df);
		 double genf(double dfn,double dfd);
		 double gennch(double df,double xnonc);
		 double gennor(double av,double sd);
	};
}
}