﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SmartMathLibrary
{
    /// <summary>
    /// This class represents an abstract layer for all classes of matrix decomposition.
    /// </summary>
    [Serializable]
    public abstract class AbstractDecomposition
    {
        /// <summary>
        /// Executes the decomposition.
        /// </summary>
        public abstract void ExecuteDecomposition();
    }
}