namespace SmartMathLibrary.DataMining.ClusterAnalysis
{
    /// <summary>
    /// Interface to implement a SelfOrganisingMapItem class.
    /// </summary>
    public interface ISelfOrganisingMapItem
    {
        /// <summary>
        /// Gets or sets the data of the item.
        /// </summary>
        /// <value>The data of the item.</value>
        double[] Data { get; set; }

        /// <summary>
        /// Gets or sets the reference object of the item.
        /// </summary>
        /// <value>The reference object of the item.</value>
        object ReferenceObject { get; set; }
    }
}