﻿using System;

namespace SmartMathLibrary.Management.Pipe
{
    /// <summary>
    /// An interface to implement an own interpretation of a pipevalue object.
    /// </summary>
    public interface IPipeValue
    {
        /// <summary>
        /// Gets or sets the name of the pipevalue object.
        /// </summary>
        /// <value>The name of the pipevalue object.</value>
        string Name { get; set; }

        /// <summary>
        /// Gets or sets the value of the current pipevalue object.
        /// </summary>
        /// <value>The value of the current pipevalue object.</value>
        object Value { get; set; }
    }
}