﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SmartMathLibrary.NumericalIntegration
{
    /// <summary>
    /// This class represents an abstract integrator for splines.
    /// </summary>
    [Serializable]
    public abstract class AbstractSplineIntegrator
    {
        /// <summary>
        /// Integrates the spline in a numerical way.
        /// </summary>
        /// <returns>The value of the intergral.</returns>
        public abstract double Integrate();
    }
}