﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SmartMathLibrary.Blas
{
    /// <summary>
    /// Represents the possible values that specify whether or not a TriangularMatrix has ones on its diagonal. 
    /// </summary>
    public enum MatrixDiagonalMode
    {
        /// <summary>
        /// The is not unit-diagonal. 
        /// </summary>
        NonUnitDiagonal = 0,
        /// <summary>
        /// The matrix is unit-diagonal. 
        /// </summary>
        UnitDiagonal = 1
    }
}