﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SmartMathLibrary.Blas
{
    /// <summary>
    /// Represents the possible values that specify on which side of the operator a Matrix argument is to 
    /// be multiplied. 
    /// </summary>
    public enum MatrixOperationSide
    {
        /// <summary>
        /// The Matrix is to be multiplied on the left side. 
        /// </summary>
        Left = 0,
        /// <summary>
        /// The Matrix is to be multiplied on the right side. 
        /// </summary>
        Right = 1
    }
}