namespace SmartMathLibrary.DataMining.ClusterAnalysis
{
    /// <summary>
    /// Interface to implement a ClusterAnalysisItem class.
    /// </summary>
    public interface IClusterAnalysisItem
    {
        /// <summary>
        /// Gets or sets the reference object of the item.
        /// </summary>
        /// <value>The reference object of the item.</value>
        object ReferenceObject { get; set; }

        /// <summary>
        /// Gets or sets the cluster index of the item.
        /// </summary>
        /// <value>The cluster index of the item.</value>
        double ClusterIndex { get; set; }
    }
}