using System;

namespace SmartMathLibrary.Filters.BloomFilter
{
    /// <summary>
    /// Interface to implement an BloomFilter object class.
    /// </summary>
    public interface IBloomFilter
    {
        /// <summary>
        /// Gets the hash code, which will be used by the BloomFilter.
        /// </summary>
        /// <returns>The hash code, which will be used by the BloomFilter</returns>
        UInt64 GetBloomHashCode();
    }
}