namespace SmartMathLibrary
{
    /// <summary>
    /// Interface to implement a MultidimensionalTaylorSeriesDevelopment class.
    /// </summary>
    public interface IMultidimensionalTaylorSeriesDevelopment
    {
        /// <summary>
        /// Develops the series, by using first and second partial derivatives.
        /// </summary>
        /// <returns>The developed series.</returns>
        MultidimensionalTaylorSeries DevelopSeries();
    }
}