namespace SmartMathLibrary.Interfaces.Web.Twitter
{
    /// <summary>
    /// Interface to implement a Connection class.
    /// </summary>
    public interface IConnection
    {
        /// <summary>
        /// Gets or sets the username of the twitter account.
        /// </summary>
        /// <value>The username of the twitter account.</value>
        string UserName { get; set; }

        /// <summary>
        /// Gets or sets the username of the password account.
        /// </summary>
        /// <value>The username of the password account.</value>
        string Password { get; set; }
    }
}